Bug 730988 - Importing rules impossible for other than Business rules while in Knowledge Bases.
Summary: Importing rules impossible for other than Business rules while in Knowledge B...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: User Interface
Version: BRMS 5.2.0-ER1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: BRMS 5.3.0.GA
Assignee: manstis
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 13:32 UTC by Zuzana Krejčová
Modified: 2016-08-01 01:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously when using the JBoss BRMS user interface it was only possible to import brl assets from the Global Area, because brl and dsl assets did not appear in the list assets were selected from. This has been resolved and both drl and dsl now listed and are available for import from the Global Area.
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 724776 None None None Never

Internal Links: 724776

Description Zuzana Krejčová 2011-08-16 13:32:37 UTC
Description of problem:
When you have some rules in Global Area - brl, drl, dsl - the only ones you can import into packages are the brl, Business rules, while you have the Knowledge Bases section open. Others don't appear in the listbox options, from which you choose (in the Create New Rule dialog).


Steps to Reproduce:
With the sample repository:
1. In the mortgages package, open and promote to Global Area these rules: 
     Bankruptcy history (Business rules)
     Pricing loans (Business rules) 
     Dummy rule (Technical rules)
2. Optionally, create a new dsl rule (in the Global Area).
3. While in the Knowledge Bases section, mouse over Create and click New Rule.

  
Actual results:
The only option available is Bankruptcy history .

Expected results:
Options available should be all of the above mentioned rules.


Additional info:
This problem has a simple workaround - while the Browse section is open, user can import those rules (using the Create New -> Business/DSL/DRL Rule ... dialog).

Comment 1 Prakash Aradhya 2011-08-23 19:32:57 UTC
Should be tackled in 5.3

Comment 3 manstis 2011-11-08 12:25:18 UTC
Fixed and back-ported to the 5.3.x branch.

Comment 5 lcarlon 2012-06-04 02:03:10 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously when using the JBoss BRMS user interface it was only possible to import brl assets from the Global Area, because del and del assets did not appear in the list assets were selected from. This has been resolved and both drl and dsl now listed and are available for import.

Comment 6 lcarlon 2012-06-04 02:03:59 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously when using the JBoss BRMS user interface it was only possible to import brl assets from the Global Area, because del and del assets did not appear in the list assets were selected from. This has been resolved and both drl and dsl now listed and are available for import.+Previously when using the JBoss BRMS user interface it was only possible to import brl assets from the Global Area, because brl and dsl assets did not appear in the list assets were selected from. This has been resolved and both drl and dsl now listed and are available for import from the Global Area.


Note You need to log in before you can comment on or make changes to this bug.